<!DOCTYPE html>

<html lang="en" xmlns:th="http://www.thymeleaf.org">

<th:block th:replace="layout/basic :: setContent(~{this::content} )">

    <th:block th:fragment="content">

		<h1 class="mt-4" style="border-bottom: double 3px gray; padding-bottom: 5px; font-weight:bold; text-align: center">공연 정보</h1>

		<table class="table table-striped">
			<thead>
				<tr>
					<th style="vertical-align: middle; text-align-last: center" scope="col">공연</th>
					<th style="vertical-align: middle; text-align-last: center" scope="col">공연 기간</th>
					<th style="vertical-align: middle; text-align-last: center" scope="col">공연 시간 정보</th>
					<th style="vertical-align: middle; text-align-last: center" scope="col">출연진</th>
					<th style="vertical-align: middle; text-align-last: center" scope="col">러닝타임</th>
					<th style="vertical-align: middle; text-align-last: center" scope="col">장소</th>
					<th style="vertical-align: middle; text-align-last: center" scope="col">등록일</th>
				</tr>
			</thead>

			<tbody>
				<tr th:each="dto : ${list}">				
					<td scope="row">
						<a th:href="@{/show/read(showNo = ${dto.showNo})}" style="font-weight:bold;text-decoration: none;">[[${dto.showName}]]</a>
					</td>
					<td align="center" valign="middle">[[${#temporals.format(dto.startDate, 'yyyy-MM-dd')}]] ~ [[${#temporals.format(dto.endDate, 'yyyy-MM-dd')}]]</td>
					<td align="center" valign="middle">[[${dto.timeExplanation}]]</td>
					<td align="center" valign="middle">[[${dto.artists}]]</td>
					<td align="center" valign="middle" style="width: 4.2%">[[${dto.runningTime}]]</td>
					<td align="center" valign="middle">[[${dto.showstageName}]]</td>
					<td align="center" valign="middle">[[${#temporals.format(dto.regDate, 'yyyy-MM-dd hh시mm분')}]]</td>
				</tr>
			</tbody>

		</table>
		<div class="d-flex justify-content-between align-items-center">
		 	<span>
                <a th:href="@{/show/register}">
                    <button sec:authorize="hasRole('ROLE_ADMIN')" type="button" class="btn btn-outline-primary">공연 추가</button>
                </a>
            </span>
            <ul class="pagination h-100 justify-content-center align-items-center" style="flex-grow: 1;">
            <!--  
				<li th:class=" 'page-item ' + ${(list.number + 1) == page?'active':''} "
					th:each="page: ${#numbers.sequence(1, list.totalPages)}">
				<a class="page-link" th:href="@{/show/list(page = ${page})}">[[${page}]]</a>
				</li>
			-->
				<li th:class=" 'page-item ' + ${(list.number + 1) == page?'active':''} "
					th:each="page : ${#numbers.sequence(startPage, endPage)}">
				<a class="page-link"
					th:if="${page != nowPage}"
					th:href="@{/show/list(page = ${page -1}, searchKeyword = ${param.searchKeyword})}"
					>[[${page}]]</a>
				<strong class="page-link" th:if="${page == nowPage}" th:text="${page}"></strong>
				</li>				
			</ul>
			<!--
			<th:block th:each="page : ${#numbers.sequence(startPage, endPage)}">
				<a th:if="${page != nowPage}"
					th:href="@{/show/list(page = ${page -1}, searchKeyword = ${param.searchKeyword})}"
					th:text="${page}">
				</a>
				<strong th:if="${page == nowPage}" th:text="${page}"></strong>
			</th:block>
			-->
			</div>
			<div>
			<form style="text-align: center;" th:action="@{/show/list}" method="get">
			<div style="position: absolute; top: 25px; right: 0%; width: 500px;">
				<input style="width: 57%; border: 2px solid #2A403D; border-radius: 8px; padding: 7px; font-size: 15px; margin-left:75px;" name="searchKeyword" type="text" placeholder="검색어 입력">
				<button style="position: absolute; top: 8px; right: 30px; background-color: transparent; border: none;" type="submit">
    			<img style="width: 25px; margin: 0;" src="https://s3.ap-northeast-2.amazonaws.com/cdn.wecode.co.kr/icon/search.png" alt="검색 아이콘">
    			</div>
			</form>
		</div>

    </th:block>

</th:block>

